MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Bootstrap Agent DeploymentCreate DeploymentRemove Entry CredentialDelete DeploymentGenerate TokenGet DeploymentBind CredentialList Credential MetadataList DeploymentsRename DeploymentRevoke TokenUnbind CredentialUpdate Router ConfigUpdate Token AllowlistsWrite Credential
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceDeployments

Get Deployment

GET
/v1/deployments/{deployment_id}

Read the full detail of a deployment, including credentials metadata and tokens.

Authorization: the caller must be able to read the deployment (the deployments of every organisation where the caller holds deployments:read, or the caller's own legacy deployment of no organisation); otherwise 404. can_modify reports whether the caller may also change it.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

deployment_id*Deployment Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "bundle_id": "fc6f5a67-caa1-4339-9c14-a67826143b60",  "bundle_name": "string",  "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",  "created_at": "2019-08-24T14:15:22Z",  "health": "grey",  "token_count": 0,  "router_enabled": false,  "router_key_id": "1c1c460b-a98a-4785-9c9d-f5e0af128ea5",  "router_key_name": "",  "loading_strategy": "eager",  "router_set_context": true,  "router_rolling_window": false,  "router_tool_granularity": false,  "entry_snapshot_ids": [    "10534ae3-c1b4-4bd7-83a7-a1b919bc924a"  ],  "can_modify": false,  "credentials": [],  "tokens": []}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Generate Token

Previous Page

Bind Credential

Next Page